Qyra
ReferenceSCIM

List roles

Get a list of roles within an organization

GET/api/v1/scim/v2/Roles

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Query parameters

NameTypeRequiredDescription
filterstringNoFilter to apply to the role list (optional)
startIndexnumberNoSCIM 2.0 startIndex (1-based). Defaults to 1.
countnumberNoSCIM 2.0 count (page size). Defaults to 100.

Responses

200 — Ok

{
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:ListResponse"
  ],
  "totalResults": 0,
  "itemsPerPage": 0,
  "startIndex": 0,
  "Resources": [
    {
      "schemas": [
        "urn:ietf:params:scim:schemas:extension:2.0:Role"
      ],
      "id": "string",
      "meta": {
        "version": "string",
        "location": "string",
        "lastModified": "2024-01-01T00:00:00.000Z",
        "created": "2024-01-01T00:00:00.000Z",
        "resourceType": "Role"
      },
      "value": "string",
      "display": "string",
      "type": "string",
      "supported": true
    }
  ]
}